Page MenuHomePhabricator

Consider removing newsletter subscribers who haven't edited in a long time
Closed, InvalidPublic

Description

Some of the people subscribed to https://en.wikipedia.org/wiki/Wikipedia:VisualEditor/Newsletter haven't edted in over a year. In at least one case, it's more than two years, and in another, it's likely that the wrong account is listed.

Should we remove and notify people who haven't edited in a long time?

Event Timeline

Whatamidoing-WMF claimed this task.
Whatamidoing-WMF raised the priority of this task from to Normal.
Whatamidoing-WMF updated the task description. (Show Details)
Whatamidoing-WMF added a subscriber: Elitre.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 29 2015, 11:43 PM

For long-dormant accounts, it seems like delivering a newsletter is pointless.

We're not able to see when someone hasn't logged in in a long time, and I would say that's a more important factor. Seems a bit reasonable, yet uncertain, to remove the subscription if someone has not edited - but is it possible they're still being notified via email and/or possibly reading it that way?

A bit far-fetched perhaps, as your reasoning is perfectly, well, reasonable, but wanted to raise that point.

Qgil added a subscriber: Qgil.Nov 3 2015, 10:48 AM

Just curious, what is the problem to be solved?

The "problem" is a fairly minor one: Talk pages get filled pointlessly. It's a minor waste of resources.

Qgil added a comment.Nov 4 2015, 11:47 AM

Too much rubbish posted in Talk pages nobody sees is a minor but fair concern. If you are not in a rush, you might want to wait until T110170: Goal: Deploy Newsletter extension in Wikimedia (end of this quarter?) and then migrate the subscribers? Echo notifications don't take Talk page space.

What happen when the user comes back and don't have the expected newsletters on his page? What happen for people who read these newsletters on this user's page (yes, I do that :p)?

Actually, is it a problem to distribute all these messages? Can't this task be declined and closed, waiting for the newsletter extension (which will certainly change the distribution system)?

If we do this, we would post a note on the person's talk page saying that they were unsubscribed because they seemed to be inactive, back issues are available at <link>, and they were welcome to re-subscribe at any time via <link>. People reading the messages on someone else's page would then have a chance to subscribe themselves. (I do that, too.)

Should we mark this as being blocked by T110170 then? Or just close it, without prejudice to re-opening in a year or two, if someone was interested then?

Close it, I'm not really convinced by the removal and the time you will have to spend on it.

Elitre closed this task as Invalid.Jan 18 2016, 11:48 AM

I went ahead for you. :*